Skip to Content
API ReferenceVideosText tracksGet

Get a Text Track

Fetching text track

Getting a single text track is done by sending a GET request to the /videos/:videoId/texttracks/:texttrackId endpoint.

curl -X GET https://app.ignitevideo.cloud/api/videos/[VIDEO_ID]/texttracks/[TEXTTRACK_ID] \ -H "Authorization: Bearer YOUR_TOKEN"

API Response

The response is a text track object containing the track metadata and content.

{ "id": string, "language": "en" | "en-US" | "de" | "de-DE" | "it" | "fr" | "...", "type": "subtitles" | "captions", "filename": string, "url": string, "content": string // WebVTT formatted string }

The content property contains the full text track data as a WebVTT  compatible string.

Error response (404)

If the text track is not found, a 404 status code with a matching error message is returned.

{ "errors": [ { "message": "The requested resource could not be found." } ] }